# RPM specfile for aspell module
# Generated Thu Jun 12 15:11:00 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235 2003/05/27 16:34:51 thunder Exp $
# from $Id: ximian-build.conf,v 1.5.2.5 2003/06/11 19:35:36 dobey Exp $

%define nam	aspell
%define ver	0.33.7.1
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	4

Name:     	aspell-compat
Version: 	0.33.7.1
Release:	0.ximian.6.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	LGPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://aspell.sourceforge.net/
Source0:	aspell-.33.7.1.tar.gz
Patch0:		aspell-old-libtool.patch
Patch1:		aspell-0.33.7.1-fixes.patch
Patch2:		aspell-compat-changes.patch
Summary:	A spelling checker.
Group:		Applications/Text
Provides:	ximian-aspell-compat = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	pspell-compat
Conflicts:	aspell < 0.50

%description
Aspell is a spelling checker designed to eventually replace Ispell.
It also has support for checking (La)TeX and Html files, and run time
support for other non-English languages.

%files
%defattr(-, root, root)
%doc README TODO manual/man-html manual/man-text
/usr/bin/aspell-compat
/usr/share/aspell-compat
/usr/share/pspell-compat/en-*
/usr/lib/lib*.so.*
/usr/lib/*.la
/usr/lib/libpspell*.so
/usr/lib/aspell-compat/american*
/usr/lib/aspell-compat/english*


%package -n aspell-compat-en-gb
Summary:	British dictionary
Group:		Applications/Text
Requires:	aspell-compat = %{version}-%{release}
Provides:	ximian-aspell-compat-en-gb = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	aspell-en-gb < 0.50

%description -n aspell-compat-en-gb
A British dictionary for use with aspell, a spelling checker.

%files -n aspell-compat-en-gb
%defattr(-, root, root)
/usr/lib/aspell-compat/british*


%package -n aspell-compat-en-ca
Summary:	Canadian dictionary
Group:		Applications/Text
Requires:	aspell-compat = %{version}-%{release}
Provides:	ximian-aspell-compat-en-ca = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	aspell-en-ca < 0.50

%description -n aspell-compat-en-ca
A Canadian dictionary for use with aspell, a spelling checker.

%files -n aspell-compat-en-ca
%defattr(-, root, root)
/usr/lib/aspell-compat/canadian*


%package -n aspell-compat-devel
Summary:	Static libraries and header files for aspell
Group:		Applications/Text
Requires:	aspell-compat = %{version}-%{release}
Requires:	pspell-compat-devel
Provides:	ximian-aspell-compat-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	aspell-devel < 0.50

%description -n aspell-compat-devel
Aspell is a spelling checker. The aspell-devel package includes the
static libraries and header files needed for Aspell development.  Note
that the recommend way to use aspell is through the Pspell library.

%files -n aspell-compat-devel
%defattr(-, root, root)
/usr/lib/libaspell*.a
/usr/lib/libaspell*.so
/usr/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n aspell-.33.7.1
    ;;
all)
%setup  -q -n aspell-.33.7.1
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force --copy; automake-1.4 --gnu --add-missing; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --enable-dict-dir=/usr/lib/aspell-compat --enable-pkgdata-dir=/usr/share/aspell-compat
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; for i in `ls ${DESTDIR}/usr/lib/libaspell*.so`; do mv $i `echo $i|sed -e "s/libaspell/libaspell-compat/"`; done; for i in `ls ${DESTDIR}/usr/lib/libaspell*.a`; do mv $i `echo $i|sed -e "s/libaspell/libaspell-compat/"`; done; for i in `ls ${DESTDIR}/usr/lib/libaspell*.la`; do mv $i `echo $i|sed -e "s/libaspell/libaspell-compat/"`; done; mv ${DESTDIR}/usr/bin/aspell ${DESTDIR}/usr/bin/aspell-compat
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu Jun 12 2003 Ximian, Inc.

- Version: 0.33.7.1-0.ximian.6.4
- Summary: New build.
- New automated build.

